E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::Slot::Signal< SlotArgs > Struct Template Reference

A slot holder, with connect() and emit() methods. More...

`#include <gslot.h>`

## Public Member Functions
| Signal (bool once=false)
void | connect (Slot< SlotArgs... > slot)
void | disconnect () noexcept
void | emit (SlotArgs... args)
void | reset ()
bool | connected () const
| Signal (const Signal &)=delete
| Signal (Signal &&)=delete
void | operator= (const Signal &)=delete
void | operator= (Signal &&)=delete

## Public Attributes
Slot< SlotArgs... > | m_slot
bool | m_once
bool | m_emitted {false}

## Detailed Description

template<typename... SlotArgs>
struct G::Slot::Signal< SlotArgs >

A slot holder, with connect() and emit() methods.

Definition at line 156 of file gslot.h.

## Constructor & Destructor Documentation

## ◆ Signal()

template<typename... SlotArgs>

G::Slot::Signal< SlotArgs >::Signal | ( | bool | once = `false` | ) |
| inline explicit

Definition at line 161 of file gslot.h.

## Member Function Documentation

## ◆ connect()

template<typename... SlotArgs>

void G::Slot::Signal< SlotArgs >::connect | ( | Slot< SlotArgs... > | slot | ) |
| inline

Definition at line 165 of file gslot.h.

## ◆ connected()

template<typename... SlotArgs>

bool G::Slot::Signal< SlotArgs >::connected | ( |  | ) | const
| inline

Definition at line 188 of file gslot.h.

## ◆ disconnect()

template<typename... SlotArgs>

void G::Slot::Signal< SlotArgs >::disconnect | ( |  | ) |
| inline noexcept

Definition at line 170 of file gslot.h.

## ◆ emit()

template<typename... SlotArgs>

void G::Slot::Signal< SlotArgs >::emit | ( | SlotArgs... | args | ) |
| inline

Definition at line 175 of file gslot.h.

## ◆ reset()

template<typename... SlotArgs>

void G::Slot::Signal< SlotArgs >::reset | ( |  | ) |
| inline

Definition at line 184 of file gslot.h.

## Member Data Documentation

## ◆ m_emitted

template<typename... SlotArgs>

bool G::Slot::Signal< SlotArgs >::m_emitted {false}

Definition at line 160 of file gslot.h.

## ◆ m_once

template<typename... SlotArgs>

bool G::Slot::Signal< SlotArgs >::m_once

Definition at line 159 of file gslot.h.

## ◆ m_slot

template<typename... SlotArgs>

Slot<SlotArgs...> G::Slot::Signal< SlotArgs >::m_slot

Definition at line 158 of file gslot.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gslot.h